<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Class nl.naturalis.nba.api.QueryCondition</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class nl.naturalis.nba.api.QueryCondition";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class nl.naturalis.nba.api.QueryCondition" class="title">Uses of Class<br>nl.naturalis.nba.api.QueryCondition</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<h3>Uses of <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a> in <a href="../package-summary.html">nl.naturalis.nba.api</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> that return <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#and(java.lang.String,java.lang.String,java.lang.Object)">and</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#and(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">and</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
   <a href="../ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
   <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#and(nl.naturalis.nba.api.QueryCondition)">and</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#negate()">negate</a></span>()</code></th>
<td class="colLast">
<div class="block">Negates the condition.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#or(java.lang.String,java.lang.String,java.lang.Object)">or</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;operator,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#or(java.lang.String,nl.naturalis.nba.api.ComparisonOperator,java.lang.Object)">or</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;field,
  <a href="../ComparisonOperator.html" title="enum in nl.naturalis.nba.api">ComparisonOperator</a>&nbsp;operator,
  <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;value)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#or(nl.naturalis.nba.api.QueryCondition)">or</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> that return types with arguments of type <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#getAnd()">getAnd</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the AND sibling conditions of this condition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QuerySpec.</span><code><span class="memberNameLink"><a href="../QuerySpec.html#getConditions()">getConditions</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the conditions a&#46;k&#46;a&#46; criteria that the documents must
 satify.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#getOr()">getOr</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the OR sibling conditions of this condition.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QuerySpec.</span><code><span class="memberNameLink"><a href="../QuerySpec.html#addCondition(nl.naturalis.nba.api.QueryCondition)">addCondition</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;condition)</code></th>
<td class="colLast">
<div class="block">Adds the specified query condition to this <code>QuerySpec</code> instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#and(nl.naturalis.nba.api.QueryCondition)">and</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an AND sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#or(nl.naturalis.nba.api.QueryCondition)">or</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;sibling)</code></th>
<td class="colLast">
<div class="block">Adds an OR sibling condition to this <code>Condition</code>.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Method parameters in <a href="../package-summary.html">nl.naturalis.nba.api</a> with type arguments of type <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#setAnd(java.util.List)">setAnd</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;and)</code></th>
<td class="colLast">
<div class="block">Sets the AND sibling conditions of this condition.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QuerySpec.</span><code><span class="memberNameLink"><a href="../QuerySpec.html#setConditions(java.util.List)">setConditions</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;conditions)</code></th>
<td class="colLast">
<div class="block">Sets the conditions a&#46;k&#46;a&#46; criteria that the documents must
 satify.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">QueryCondition.</span><code><span class="memberNameLink"><a href="../QueryCondition.html#setOr(java.util.List)">setOr</a></span>&#8203;(<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/List.html?is-external=true" title="class or interface in java.util" class="externalLink">List</a>&lt;<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&gt;&nbsp;or)</code></th>
<td class="colLast">
<div class="block">Sets the OR sibling conditions of this condition.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Constructors in <a href="../package-summary.html">nl.naturalis.nba.api</a> with parameters of type <a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../InvalidConditionException.html#%3Cinit%3E(nl.naturalis.nba.api.QueryCondition,java.lang.String,java.lang.Object...)">InvalidConditionException</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;condition,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>&nbsp;message,
                         <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>...&nbsp;msgArgs)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="../QueryCondition.html#%3Cinit%3E(nl.naturalis.nba.api.QueryCondition)">QueryCondition</a></span>&#8203;(<a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">QueryCondition</a>&nbsp;other)</code></th>
<td class="colLast">
<div class="block">Copy constructor.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../QueryCondition.html" title="class in nl.naturalis.nba.api">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
